package netscape.palomar.htmllite;

import java.util.Enumeration;
import java.util.Vector;
import netscape.palomar.sgml.SGMLParseTableEntry;
import netscape.palomar.sgml.SGMLParser;
import netscape.palomar.util.CascadedException;

public class LiteParser extends SGMLParser {
   public static int Counter = 1;
   static LiteParser _singletonParser = null;

   private LiteParser() throws CascadedException {
      this.InitializeParseTable();
   }

   public static synchronized LiteParser getParser() throws CascadedException {
      if (_singletonParser == null) {
         _singletonParser = new LiteParser();
      }

      return _singletonParser;
   }

   public static void appendVector(Vector a, Vector b) {
      Enumeration e = b.elements();

      while(e.hasMoreElements()) {
         a.addElement(e.nextElement());
      }

   }

   public String getHTMLInfoDir() {
      return "netscape.palomar.hi.";
   }

   public void InitializeParseTable() throws CascadedException {
      try {
         super.parseTable.clear();
         super._unknownTagClass = Class.forName("netscape.palomar.sgml.SGMLTagImpl");
         super._textClass = Class.forName("netscape.palomar.sgml.SGMLTextImpl");
         super._scriptClass = super._textClass;
         super._treeTopClass = Class.forName("netscape.palomar.htmllite.TagTop");
         Class TagStructureClass = Class.forName("netscape.palomar.htmllite.TagStructure");
         Class TagNormalClass = Class.forName("netscape.palomar.sgml.SGMLTagImpl");
         SGMLParseTableEntry tx = new SGMLParseTableEntry(this, super._unknownTagClass);
         tx.contentEmpty = true;
         super.parseTable.put("%UNKNOWN", tx);
         Vector entText = new Vector();
         entText.addElement("A");
         entText.addElement("APPLET");
         entText.addElement("B");
         entText.addElement("BASEFONT");
         entText.addElement("BIG");
         entText.addElement("BR");
         entText.addElement("CITE");
         entText.addElement("CODE");
         entText.addElement("DFN");
         entText.addElement("EM");
         entText.addElement("FONT");
         entText.addElement("I");
         entText.addElement("IMG");
         entText.addElement("INPUT");
         entText.addElement("KBD");
         entText.addElement("MAP");
         entText.addElement("SAMP");
         entText.addElement("SCRIPT");
         entText.addElement("SERVER");
         entText.addElement("SELECT");
         entText.addElement("SMALL");
         entText.addElement("STRIKE");
         entText.addElement("STRING");
         entText.addElement("SUB");
         entText.addElement("SUP");
         entText.addElement("TEXTAREA");
         entText.addElement("TT");
         entText.addElement("U");
         entText.addElement("VAR");
         Vector entBlock = new Vector();
         entBlock.addElement("AREA");
         entBlock.addElement("BLOCKQUOTE");
         entBlock.addElement("CENTER");
         entBlock.addElement("DIR");
         entBlock.addElement("MENU");
         entBlock.addElement("DIV");
         entBlock.addElement("DL");
         entBlock.addElement("FORM");
         entBlock.addElement("HR");
         entBlock.addElement("ISINDEX");
         entBlock.addElement("OL");
         entBlock.addElement("UL");
         entBlock.addElement("P");
         entBlock.addElement("PRE");
         entBlock.addElement("TABLE");
         Vector entBody = new Vector();
         entBody.addElement("ADDRESS");
         entBody.addElement("H1");
         entBody.addElement("H2");
         entBody.addElement("H3");
         entBody.addElement("H4");
         entBody.addElement("H5");
         entBody.addElement("H6");
         appendVector(entBody, entText);
         appendVector(entBody, entBlock);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entBody;
         tx.textOK = true;
         super.parseTable.put("DIV", tx);
         super.parseTable.put("CENTER", tx);
         super.parseTable.put("BLOCKQUOTE", tx);
         super.parseTable.put("BQ", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entBody;
         tx.textOK = true;
         super.parseTable.put("TH", tx);
         super.parseTable.put("TD", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entBody;
         tx.contentModel.addElement("PALETTE_ITEM");
         tx.textOK = true;
         super.parseTable.put("BODY", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entText;
         tx.textOK = true;
         super.parseTable.put("TT", tx);
         super.parseTable.put("I", tx);
         super.parseTable.put("B", tx);
         super.parseTable.put("U", tx);
         super.parseTable.put("STRIKE", tx);
         super.parseTable.put("BIG", tx);
         super.parseTable.put("SMALL", tx);
         super.parseTable.put("SUB", tx);
         super.parseTable.put("SUP", tx);
         super.parseTable.put("EM", tx);
         super.parseTable.put("STRONG", tx);
         super.parseTable.put("DFN", tx);
         super.parseTable.put("CODE", tx);
         super.parseTable.put("SAMP", tx);
         super.parseTable.put("KBD", tx);
         super.parseTable.put("VAR", tx);
         super.parseTable.put("CITE", tx);
         super.parseTable.put("FONT", tx);
         super.parseTable.put("DT", tx);
         super.parseTable.put("CAPTION", tx);
         tx = new SGMLParseTableEntry(this, TagNormalClass);
         tx.contentEmpty = true;
         super.parseTable.put("AREA", tx);
         super.parseTable.put("BASEFONT", tx);
         super.parseTable.put("BR", tx);
         super.parseTable.put("HR", tx);
         super.parseTable.put("ISINDEX", tx);
         super.parseTable.put("LINK", tx);
         super.parseTable.put("META", tx);
         super.parseTable.put("BASE", tx);
         tx = new SGMLParseTableEntry(this, TagNormalClass);
         tx.contentEmpty = true;
         super.parseTable.put("IMG", tx);
         tx = new SGMLParseTableEntry(this, TagNormalClass);
         tx.textOK = true;
         super.parseTable.put("OPTION", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("P");
         tx.textOK = true;
         super.parseTable.put("ADDRESS", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("FRAMESET");
         tx.contentModel.addElement("FRAME");
         super.parseTable.put("FRAMESET", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         super.parseTable.put("FRAME", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entText;
         tx.textOK = true;
         tx.exclude.addElement("A");
         super.parseTable.put("A", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("AREA");
         super.parseTable.put("MAP", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("PARAM");
         appendVector(tx.contentModel, entText);
         super.parseTable.put("APPLET", tx);
         tx = new SGMLParseTableEntry(this, TagNormalClass);
         tx.contentEmpty = true;
         super.parseTable.put("PARAM", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entText;
         tx.textOK = true;
         super.parseTable.put("P", tx);
         super.parseTable.put("H1", tx);
         super.parseTable.put("H2", tx);
         super.parseTable.put("H3", tx);
         super.parseTable.put("H4", tx);
         super.parseTable.put("H5", tx);
         super.parseTable.put("H6", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel = entText;
         tx.textOK = true;
         tx.exclude.addElement("IMG");
         tx.exclude.addElement("BIG");
         tx.exclude.addElement("SMALL");
         tx.exclude.addElement("SUB");
         tx.exclude.addElement("SUP");
         tx.exclude.addElement("FONT");
         super.parseTable.put("PRE", tx);
         tx = new SGMLParseTableEntry(this, Class.forName("netscape.palomar.htmllite.TagScript"));
         tx.textOK = true;
         super.parseTable.put("SCRIPT", tx);
         super.parseTable.put("SERVER", tx);
         super.parseTable.put("XMP", tx);
         super.parseTable.put("PLAINTEXT", tx);
         super.parseTable.put("STYLE", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("DT");
         tx.contentModel.addElement("DD");
         super.parseTable.put("DL", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         appendVector(tx.contentModel, entText);
         appendVector(tx.contentModel, entBlock);
         tx.textOK = true;
         super.parseTable.put("DD", tx);
         super.parseTable.put("LI", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("LI");
         super.parseTable.put("UL", tx);
         super.parseTable.put("OL", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("LI");
         appendVector(tx.exclude, entBlock);
         super.parseTable.put("MENU", tx);
         super.parseTable.put("DIR", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.textOK = true;
         tx.contentModel = entBody;
         tx.exclude.addElement("FORM");
         tx.include.addElement("INPUT");
         tx.include.addElement("TEXTAREA");
         tx.include.addElement("SELECT");
         super.parseTable.put("FORM", tx);
         tx = new SGMLParseTableEntry(this, TagNormalClass);
         tx.contentEmpty = true;
         super.parseTable.put("INPUT", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.textOK = true;
         super.parseTable.put("TEXTAREA", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("OPTION");
         super.parseTable.put("SELECT", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("CAPTION");
         tx.contentModel.addElement("TR");
         super.parseTable.put("TABLE", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("TH");
         tx.contentModel.addElement("TD");
         super.parseTable.put("TR", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("TITLE");
         tx.contentModel.addElement("ISINDEX");
         tx.contentModel.addElement("BASE");
         tx.contentModel.addElement("SCRIPT");
         tx.contentModel.addElement("SERVER");
         tx.contentModel.addElement("STYLE");
         tx.contentModel.addElement("META");
         tx.contentModel.addElement("LINK");
         super.parseTable.put("HEAD", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.textOK = true;
         super.parseTable.put("TITLE", tx);
         tx = new SGMLParseTableEntry(this, TagStructureClass);
         tx.contentModel.addElement("HEAD");
         tx.contentModel.addElement("BODY");
         tx.contentModel.addElement("PLAINTEXT");
         super.parseTable.put("HTML", tx);

         for(int i = 0; i < 32; ++i) {
            super.charEscape[i] = "&#" + i + ";";
         }

         super.charEscape[9] = "" + '\t';
         super.charEscape[10] = "" + '\n';

         for(int i = 32; i < 127; ++i) {
            super.charEscape[i] = "" + (char)i;
         }

         super.charEscape[96] = "&#96;";

         for(int i = 127; i < 256; ++i) {
            super.charEscape[i] = "&#" + i + ";";
         }

         ((SGMLParser)this).setChar("quot", 34);
         ((SGMLParser)this).setChar("amp", 38);
         ((SGMLParser)this).setChar("lt", 60);
         ((SGMLParser)this).setChar("gt", 62);
         ((SGMLParser)this).setChar("nbsp", 160);
         ((SGMLParser)this).setChar("iexcl", 161);
         ((SGMLParser)this).setChar("cent", 162);
         ((SGMLParser)this).setChar("pound", 163);
         ((SGMLParser)this).setChar("curren", 164);
         ((SGMLParser)this).setChar("yen", 165);
         ((SGMLParser)this).setChar("brvbar", 166);
         ((SGMLParser)this).setChar("sect", 167);
         ((SGMLParser)this).setChar("uml", 168);
         ((SGMLParser)this).setChar("copy", 169);
         ((SGMLParser)this).setChar("ordf", 170);
         ((SGMLParser)this).setChar("laquo", 171);
         ((SGMLParser)this).setChar("not", 172);
         ((SGMLParser)this).setChar("shy", 173);
         ((SGMLParser)this).setChar("reg", 174);
         ((SGMLParser)this).setChar("macr", 175);
         ((SGMLParser)this).setChar("deg", 176);
         ((SGMLParser)this).setChar("plusmn", 177);
         ((SGMLParser)this).setChar("sup2", 178);
         ((SGMLParser)this).setChar("sup3", 179);
         ((SGMLParser)this).setChar("acute", 180);
         ((SGMLParser)this).setChar("micro", 181);
         ((SGMLParser)this).setChar("para", 182);
         ((SGMLParser)this).setChar("middot", 183);
         ((SGMLParser)this).setChar("cedil", 184);
         ((SGMLParser)this).setChar("sup1", 185);
         ((SGMLParser)this).setChar("ordm", 186);
         ((SGMLParser)this).setChar("raquo", 187);
         ((SGMLParser)this).setChar("frac14", 188);
         ((SGMLParser)this).setChar("frac12", 189);
         ((SGMLParser)this).setChar("frac34", 190);
         ((SGMLParser)this).setChar("iquest", 191);
         ((SGMLParser)this).setChar("Agrave", 192);
         ((SGMLParser)this).setChar("Aacute", 193);
         ((SGMLParser)this).setChar("Acirc", 194);
         ((SGMLParser)this).setChar("Atilde", 195);
         ((SGMLParser)this).setChar("Auml", 196);
         ((SGMLParser)this).setChar("Aring", 197);
         ((SGMLParser)this).setChar("AElig", 198);
         ((SGMLParser)this).setChar("Ccedil", 199);
         ((SGMLParser)this).setChar("Egrave", 200);
         ((SGMLParser)this).setChar("Eacute", 201);
         ((SGMLParser)this).setChar("Ecirc", 202);
         ((SGMLParser)this).setChar("Euml", 203);
         ((SGMLParser)this).setChar("Igrave", 204);
         ((SGMLParser)this).setChar("Iacute", 205);
         ((SGMLParser)this).setChar("Icirc", 206);
         ((SGMLParser)this).setChar("Iuml", 207);
         ((SGMLParser)this).setChar("ETH", 208);
         ((SGMLParser)this).setChar("Ntilde", 209);
         ((SGMLParser)this).setChar("Ograve", 210);
         ((SGMLParser)this).setChar("Oacute", 211);
         ((SGMLParser)this).setChar("Ocirc", 212);
         ((SGMLParser)this).setChar("Otilde", 213);
         ((SGMLParser)this).setChar("Ouml", 214);
         ((SGMLParser)this).setChar("times", 215);
         ((SGMLParser)this).setChar("Oslash", 216);
         ((SGMLParser)this).setChar("Ugrave", 217);
         ((SGMLParser)this).setChar("Uacute", 218);
         ((SGMLParser)this).setChar("Ucirc", 219);
         ((SGMLParser)this).setChar("Uuml", 220);
         ((SGMLParser)this).setChar("Yacute", 221);
         ((SGMLParser)this).setChar("THORN", 222);
         ((SGMLParser)this).setChar("szlig", 223);
         ((SGMLParser)this).setChar("agrave", 224);
         ((SGMLParser)this).setChar("aacute", 225);
         ((SGMLParser)this).setChar("acirc", 226);
         ((SGMLParser)this).setChar("atilde", 227);
         ((SGMLParser)this).setChar("auml", 228);
         ((SGMLParser)this).setChar("aring", 229);
         ((SGMLParser)this).setChar("aelig", 230);
         ((SGMLParser)this).setChar("ccedil", 231);
         ((SGMLParser)this).setChar("egrave", 232);
         ((SGMLParser)this).setChar("eacute", 233);
         ((SGMLParser)this).setChar("ecirc", 234);
         ((SGMLParser)this).setChar("euml", 235);
         ((SGMLParser)this).setChar("igrave", 236);
         ((SGMLParser)this).setChar("iacute", 237);
         ((SGMLParser)this).setChar("icirc", 238);
         ((SGMLParser)this).setChar("iuml", 239);
         ((SGMLParser)this).setChar("eth", 240);
         ((SGMLParser)this).setChar("ntilde", 241);
         ((SGMLParser)this).setChar("ograve", 242);
         ((SGMLParser)this).setChar("oacute", 243);
         ((SGMLParser)this).setChar("ocirc", 244);
         ((SGMLParser)this).setChar("otilde", 245);
         ((SGMLParser)this).setChar("ouml", 246);
         ((SGMLParser)this).setChar("divide", 247);
         ((SGMLParser)this).setChar("oslash", 248);
         ((SGMLParser)this).setChar("ugrave", 249);
         ((SGMLParser)this).setChar("uacute", 250);
         ((SGMLParser)this).setChar("ucirc", 251);
         ((SGMLParser)this).setChar("uuml", 252);
         ((SGMLParser)this).setChar("yacute", 253);
         ((SGMLParser)this).setChar("thorn", 254);
         ((SGMLParser)this).setChar("yuml", 255);
         super.paramSets.clear();
         String[] a1 = new String[]{"0NAME", "0HREF", "0TARGET", "0ONCLICK", "0ONMOUSEOVER", "0ONMOUSEOUT"};
         super.paramSets.put("A", a1);
         String[] a2 = new String[]{"0NAME", "0CODE", "0CODEBASE", "1ARCHIVE", "0MAYSCRIPT", "0ALIGN", "0ALT", "0HEIGHT", "0WIDTH", "0HSPACE", "0VSPACE"};
         super.paramSets.put("APPLET", a2);
         String[] a3 = new String[]{"0NAME", "0HREF", "0NOHREF", "0COORDS", "0TARGET", "0SHAPE", "0ONMOUSEOVER", "0ONMOUSEOUT"};
         super.paramSets.put("AREA", a3);
         String[] a4 = new String[]{"0HREF", "0TARGET"};
         super.paramSets.put("BASE", a4);
         String[] a5 = new String[]{"0SIZE"};
         super.paramSets.put("BASEFONT", a5);
         String[] a7 = new String[]{"0CLEAR"};
         super.paramSets.put("BR", a7);
         String[] a8 = new String[]{"0ALIGN"};
         super.paramSets.put("CAPTION", a8);
         String[] a9 = new String[]{"0ALIGN"};
         super.paramSets.put("DIV", a9);
         String[] a10 = new String[]{"0COMPACT"};
         super.paramSets.put("DL", a10);
         String[] a11 = new String[]{"1SRC", "0TYPE", "0HEIGHT", "0WIDTH", "0ALIGN", "0HIDDEN", "0PALLETTE", "0PLUGINSPAGE", "0UNITS"};
         super.paramSets.put("EMBED", a11);
         String[] a12 = new String[]{"0COLOR", "0FACE", "0SIZE"};
         super.paramSets.put("FONT", a12);
         String[] a13 = new String[]{"0NAME", "0ACTION", "0ENCTYPE", "0METHOD", "0TARGET", "0ONSUBMIT", "0ONRESET"};
         super.paramSets.put("FORM", a13);
         String[] a14 = new String[]{"0NAME", "1SRC", "0FRAMEBORDER", "0BORDERCOLOR", "0MARGINHEIGHT", "OMARGINWIDTH", "0NORESIZE", "0SCROLLING"};
         super.paramSets.put("FRAME", a14);
         String[] a15 = new String[]{"0ROWS", "OCOLS", "0BORDER", "0BORDERCOLOR", "0FRAMEBORDER", "0ONFOCUS", "0ONBLUR", "0ONLOAD", "0ONUNLOAD"};
         super.paramSets.put("FRAMESET", a15);
         String[] a16 = new String[]{"0ALIGN"};
         super.paramSets.put("H1", a16);
         super.paramSets.put("H2", a16);
         super.paramSets.put("H3", a16);
         super.paramSets.put("H4", a16);
         super.paramSets.put("H5", a16);
         super.paramSets.put("H6", a16);
         String[] a17 = new String[]{"0ALIGN", "0NOSHADE", "0SIZE", "0WIDTH"};
         super.paramSets.put("HR", a17);
         String[] a20 = new String[]{"0PROMPT"};
         super.paramSets.put("ISINDEX", a20);
         String[] a21 = new String[]{"0NAME", "0CHALLENGE"};
         super.paramSets.put("KEYGEN", a21);
         String[] a21a = new String[]{"ONAME", "OLEFT", "0TOP", "0Z-INDEX", "0ABOVE", "0BELOW", "OWIDTH", "0CLIP", "0VISIBILITY", "0BGCOLOR", "1BACKGROUND"};
         super.paramSets.put("LAYER", a21a);
         super.paramSets.put("ILAYER", a21a);
         String[] a22 = new String[]{"0TYPE", "0VALUE"};
         super.paramSets.put("LI", a22);
         String[] a23 = new String[]{"0NAME"};
         super.paramSets.put("MAP", a23);
         String[] a24 = new String[]{"0NAME", "0CONTENT", "0HTTP-EQUIV"};
         super.paramSets.put("META", a24);
         String[] a25 = new String[]{"0COLS", "0GUTTER", "0WIDTH"};
         super.paramSets.put("MULTICOL", a25);
         String[] a251 = new String[]{"0TYPE", "0START"};
         super.paramSets.put("OL", a251);
         String[] a26 = new String[]{"0VALUE", "0SELECTED"};
         super.paramSets.put("OPTION", a26);
         String[] a27 = new String[]{"0ALIGN"};
         super.paramSets.put("P", a27);
         String[] a28 = new String[]{"0NAME", "0VALUE"};
         super.paramSets.put("PARAM", a28);
         String[] a29 = new String[]{"0LANGUAGE", "1SRC", "0PURPOSE", "0ID", "0CLASS"};
         super.paramSets.put("SCRIPT", a29);
         String[] a31 = new String[]{"0PURPOSE", "0ID", "0CLASS"};
         super.paramSets.put("SERVER", a31);
         String[] a32 = new String[]{"0ALIGN", "0HEIGHT", "0SIZE", "0TYPE", "0WIDTH"};
         super.paramSets.put("SPACER", a32);
         String[] a33 = new String[]{"0ALIGN", "0BGCOLOR", "0BORDER", "0CELLPADDING", "0CELLSPACING", "0HEIGHT", "0WIDTH", "0HSPACE", "0VSPACE"};
         super.paramSets.put("TABLE", a33);
         String[] a34 = new String[]{"0ALIGN", "0BGCOLOR", "0COLSPAN", "0ROWSPAN", "0VALIGN", "0NOWRAP"};
         super.paramSets.put("TD", a34);
         super.paramSets.put("TH", a34);
         String[] a36 = new String[]{"0ALIGN", "0BGCOLOR", "0VALIGN"};
         super.paramSets.put("TR", a36);
         String[] a37 = new String[]{"0TYPE"};
         super.paramSets.put("UL", a37);
         String[] a38 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION", "0ADDLISTENERMETHOD", "0LISTENERMETHODS", "0LISTENERTYPE", "0REMOVELISTENERMETHOD", "0ISDEFAULT", "0ISUNICAST"};
         super.paramSets.put("JSB_EVENT", a38);
         String[] a39 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION", "0TYPE", "0EXCEPTIONS"};
         super.paramSets.put("JSB_METHOD", a39);
         String[] a40 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION", "0TYPE"};
         super.paramSets.put("JSB_PARAMETER", a40);
         String[] a41 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION", "0PROPTYPE", "0READMETHOD", "0WRITEMETHOD", "0PROPERTYEDITOR", "0TYPE", "0ISRUNTIME"};
         super.paramSets.put("JSB_PROPERTY", a41);
         String[] a42 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION", "0CLASS", "0CUSTOMIZERCLASS"};
         super.paramSets.put("JSB_DESCRIPTOR", a42);
         String[] a43 = new String[]{"0NAME", "0DISPLAYNAME", "0ISEXPERT", "0ISHIDDEN", "0SHORTDESCRIPTION"};
         super.paramSets.put("JSB_LISTENER", a43);
         super.paramSets.put("JSB", a43);
      } catch (Exception e) {
         CascadedException pe = new CascadedException(1, e);
         throw pe;
      }
   }
}
